/*

dsksdcard.c - SD Card implementation of disk block routines

*/

#include "sdcard.h"
#include "dsk.h"

/*...vsdcard\46\h:0:*/
/*...vdsk\46\h:0:*/

int dsk_init(void)
	{
	return sdcheck();
	}

void dsk_read(unsigned long lba, unsigned n, unsigned char *buf)
	{
	sdread(lba+0x20000, n, buf);
	}
